# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu Sanity Tests
# Copyright (C) 2014, 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from unity8 import process_helpers

from ubuntu_sanity_tests.helpers.unity8 import greeter


def ensure_unity_stopped():
    if process_helpers.is_job_running('unity8'):
        process_helpers.stop_job('unity8')


def ensure_unity_running_and_greeter_hidden():
    if not process_helpers.is_job_running('unity8'):
        process_helpers.start_job('unity8')
        greeter.wait_for_greeter()

    greeter.hide_greeter_with_dbus()
